# Uses of Enum Class
org.apache.lucene.queryparser.classic.QueryParser.Operator

Packages that use QueryParser.Operator
Package
Description
org.apache.lucene.queryparser.classic
A simple query parser implemented with JavaCC.

- ## Uses of QueryParser.Operator in org.apache.lucene.queryparser.classic

  Fields in org.apache.lucene.queryparser.classic declared as QueryParser.Operator
  Modifier and Type
  Field
  Description
  `static final QueryParser.Operator`
  QueryParserBase.`AND_OPERATOR`
  Alternative form of QueryParser.Operator.AND
  `static final QueryParser.Operator`
  QueryParserBase.`OR_OPERATOR`
  Alternative form of QueryParser.Operator.OR
  Methods in org.apache.lucene.queryparser.classic that return QueryParser.Operator
  Modifier and Type
  Method
  Description
  `QueryParser.Operator`
  QueryParserBase.`getDefaultOperator()`
  Gets implicit operator setting, which will be either AND_OPERATOR or OR_OPERATOR.
  `static QueryParser.Operator`
  QueryParser.Operator.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static QueryParser.Operator[]`
  QueryParser.Operator.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in org.apache.lucene.queryparser.classic with parameters of type QueryParser.Operator
  Modifier and Type
  Method
  Description
  `void`
  QueryParserBase.`setDefaultOperator(QueryParser.Operator op)`
  Sets the boolean operator of the QueryParser.